| Home | Libraries | People | FAQ | More

## Function parse_environment

boost::program_options::parse_environment

## Synopsis

    BOOST_PROGRAM_OPTIONS_DECL parsed_options
    parse_environment(const options_description &, const char * prefix);

## Description

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. This function exists to resolve ambiguity between the two above functions when second argument is of 'char*' type. There's implicit conversion to both function1 and string.